summaryrefslogtreecommitdiff
path: root/package/switch
diff options
context:
space:
mode:
authorJo-Philipp Wich <jow@openwrt.org>2010-02-28 16:40:06 +0000
committerJo-Philipp Wich <jow@openwrt.org>2010-02-28 16:40:06 +0000
commit96e4312e7e0a7f47f22d672fceaf75feaa05334b (patch)
treec7244434b2019a1e1bdb3551ef3a8e44833dd1bd /package/switch
parenta15d58f605a776ee9a929fc46d52bfc7afc70de0 (diff)
downloadmtk-20170518-96e4312e7e0a7f47f22d672fceaf75feaa05334b.zip
mtk-20170518-96e4312e7e0a7f47f22d672fceaf75feaa05334b.tar.gz
mtk-20170518-96e4312e7e0a7f47f22d672fceaf75feaa05334b.tar.bz2
switch: eliminate the asterisk from the switch port configuration and set it automatically on the first vlan, this aligns the broadcom vlan config with the swconfig format
SVN-Revision: 19909
Diffstat (limited to 'package/switch')
-rw-r--r--package/switch/files/switch.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/package/switch/files/switch.sh b/package/switch/files/switch.sh
index 14bacad..708ca85 100644
--- a/package/switch/files/switch.sh
+++ b/package/switch/files/switch.sh
@@ -25,13 +25,21 @@ setup_switch_vlan() {
config_get vlan "$s" vlan
config_get ports "$s" ports
- [ -n "$dev" ] && [ -n "$vlan" ] && {
+ [ -n "$dev" ] && [ -n "$vlan" ] && {
+ ports="${ports%\*}"
+
+ [ "$_vlan_pvid_set" = 1 ] || {
+ ports="$ports*"
+ _vlan_pvid_set=1
+ }
+
local proc="/proc/switch/$dev/vlan/$vlan/ports"
[ -f "$proc" ] && echo "$ports" > "$proc"
}
}
setup_switch() {
+ _vlan_pvid_set=0
config_load network
config_foreach setup_switch_hw switch
config_foreach setup_switch_vlan switch_vlan